Pleroma frontend
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

120 lines
3.8KB

  1. {
  2. "name": "pleroma_fe",
  3. "version": "1.0.0",
  4. "description": "A Qvitter-style frontend for certain GS servers.",
  5. "author": "Roger Braun <roger@rogerbraun.net>",
  6. "private": true,
  7. "scripts": {
  8. "dev": "node build/dev-server.js",
  9. "build": "node build/build.js",
  10. "unit": "karma start test/unit/karma.conf.js --single-run",
  11. "unit:watch": "karma start test/unit/karma.conf.js --single-run=false",
  12. "e2e": "node test/e2e/runner.js",
  13. "test": "npm run unit && npm run e2e",
  14. "lint": "eslint --ext .js,.vue src test/unit/specs test/e2e/specs",
  15. "lint-fix": "eslint --fix --ext .js,.vue src test/unit/specs test/e2e/specs"
  16. },
  17. "dependencies": {
  18. "@babel/runtime": "^7.7.6",
  19. "@chenfengyuan/vue-qrcode": "^1.0.0",
  20. "body-scroll-lock": "^2.6.4",
  21. "chromatism": "^3.0.0",
  22. "cropperjs": "^1.4.3",
  23. "diff": "^3.0.1",
  24. "escape-html": "^1.0.3",
  25. "karma-mocha-reporter": "^2.2.1",
  26. "localforage": "^1.5.0",
  27. "object-path": "^0.11.3",
  28. "phoenix": "^1.3.0",
  29. "portal-vue": "^2.1.4",
  30. "sanitize-html": "^1.13.0",
  31. "v-click-outside": "^2.1.1",
  32. "v-tooltip": "^2.0.2",
  33. "vue": "^2.5.13",
  34. "vue-chat-scroll": "^1.2.1",
  35. "vue-i18n": "^7.3.2",
  36. "vue-router": "^3.0.1",
  37. "vue-template-compiler": "^2.3.4",
  38. "vuelidate": "^0.7.4",
  39. "vuex": "^3.0.1",
  40. "whatwg-fetch": "^2.0.3"
  41. },
  42. "devDependencies": {
  43. "@babel/core": "^7.7.5",
  44. "@babel/plugin-transform-runtime": "^7.7.6",
  45. "@babel/preset-env": "^7.7.6",
  46. "@babel/register": "^7.7.4",
  47. "@ungap/event-target": "^0.1.0",
  48. "@vue/babel-helper-vue-jsx-merge-props": "^1.0.0",
  49. "@vue/babel-plugin-transform-vue-jsx": "^1.1.2",
  50. "@vue/test-utils": "^1.0.0-beta.26",
  51. "autoprefixer": "^6.4.0",
  52. "babel-eslint": "^7.0.0",
  53. "babel-loader": "^8.0.6",
  54. "babel-plugin-lodash": "^3.3.4",
  55. "chai": "^3.5.0",
  56. "chalk": "^1.1.3",
  57. "chromedriver": "^2.21.2",
  58. "connect-history-api-fallback": "^1.1.0",
  59. "cross-spawn": "^4.0.2",
  60. "css-loader": "^0.28.0",
  61. "custom-event-polyfill": "^1.0.7",
  62. "eslint": "^5.16.0",
  63. "eslint-config-standard": "^12.0.0",
  64. "eslint-friendly-formatter": "^2.0.5",
  65. "eslint-loader": "^2.1.0",
  66. "eslint-plugin-import": "^2.13.0",
  67. "eslint-plugin-node": "^7.0.0",
  68. "eslint-plugin-promise": "^4.0.0",
  69. "eslint-plugin-standard": "^4.0.0",
  70. "eslint-plugin-vue": "^5.2.2",
  71. "eventsource-polyfill": "^0.9.6",
  72. "express": "^4.13.3",
  73. "file-loader": "^3.0.1",
  74. "fontello-webpack-plugin": "https://github.com/w3geo/fontello-webpack-plugin.git#6149eac8f2672ab6da089e8802fbfcac98487186",
  75. "function-bind": "^1.0.2",
  76. "html-webpack-plugin": "^3.0.0",
  77. "http-proxy-middleware": "^0.17.2",
  78. "inject-loader": "^2.0.1",
  79. "iso-639-1": "^2.0.3",
  80. "isparta-loader": "^2.0.0",
  81. "json-loader": "^0.5.4",
  82. "karma": "^3.0.0",
  83. "karma-coverage": "^1.1.1",
  84. "karma-firefox-launcher": "^1.1.0",
  85. "karma-mocha": "^1.2.0",
  86. "karma-sinon-chai": "^2.0.2",
  87. "karma-sourcemap-loader": "^0.3.7",
  88. "karma-spec-reporter": "0.0.26",
  89. "karma-webpack": "^4.0.0-rc.3",
  90. "lodash": "^4.16.4",
  91. "lolex": "^1.4.0",
  92. "mini-css-extract-plugin": "^0.5.0",
  93. "mocha": "^3.1.0",
  94. "nightwatch": "^0.9.8",
  95. "opn": "^4.0.2",
  96. "ora": "^0.3.0",
  97. "postcss-loader": "^3.0.0",
  98. "raw-loader": "^0.5.1",
  99. "sass": "^1.17.3",
  100. "sass-loader": "git://github.com/webpack-contrib/sass-loader",
  101. "selenium-server": "2.53.1",
  102. "semver": "^5.3.0",
  103. "serviceworker-webpack-plugin": "^1.0.0",
  104. "shelljs": "^0.7.4",
  105. "sinon": "^2.1.0",
  106. "sinon-chai": "^2.8.0",
  107. "url-loader": "^1.1.2",
  108. "vue-loader": "^14.0.0",
  109. "vue-style-loader": "^4.0.0",
  110. "webpack": "^4.0.0",
  111. "webpack-dev-middleware": "^3.6.0",
  112. "webpack-hot-middleware": "^2.12.2",
  113. "webpack-merge": "^0.14.1"
  114. },
  115. "engines": {
  116. "node": ">= 4.0.0",
  117. "npm": ">= 3.0.0"
  118. }
  119. }